module AcquiredMediaReleaseContext
  extend ActiveSupport::Concern

  def acquired_media_releases
    policy_scope(AcquiredMediaRelease)
  end

  def set_acquired_media_release
    acquired_media_release_id = params[:acquired_media_release_id] || params[:id]

    @acquired_media_release = authorize acquired_media_releases.find(acquired_media_release_id)
  end
end
